org.modeshape.jcr.index.local

## Class IndexChangeAdapters.SingleValuedEnumeratedPropertyChangeAdapter

- java.lang.Object
- - org.modeshape.jcr.cache.change.ChangeSetAdapter
  - - org.modeshape.jcr.spi.index.provider.IndexChangeAdapter
    - - org.modeshape.jcr.index.local.IndexChangeAdapters.AbstractPropertyChangeAdapter<String>
      - - org.modeshape.jcr.index.local.IndexChangeAdapters.EnumeratedPropertyChangeAdapter
        - - org.modeshape.jcr.index.local.IndexChangeAdapters.SingleValuedEnumeratedPropertyChangeAdapter

- All Implemented Interfaces:
    ChangeSetListener
  Enclosing class:
    IndexChangeAdapters

      protected static final class IndexChangeAdapters.SingleValuedEnumeratedPropertyChangeAdapter
      extends IndexChangeAdapters.EnumeratedPropertyChangeAdapter

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.modeshape.jcr.cache.change.ChangeSetAdapter

      `ChangeSetAdapter.NodeTypePredicate`

  - ### Field Summary

    - ### Fields inherited from class org.modeshape.jcr.index.local.IndexChangeAdapters.EnumeratedPropertyChangeAdapter

      `index`

    - ### Fields inherited from class org.modeshape.jcr.index.local.IndexChangeAdapters.AbstractPropertyChangeAdapter

      `propertyName, valueFactory`

    - ### Fields inherited from class org.modeshape.jcr.cache.change.ChangeSetAdapter

      `context, predicate`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `IndexChangeAdapters.SingleValuedEnumeratedPropertyChangeAdapter(ExecutionContext context, ChangeSetAdapter.NodeTypePredicate matcher, String workspaceName, Name propertyName, org.modeshape.jcr.index.local.LocalEnumeratedIndex index)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `addValues(NodeKey key, Property property)`

    - ### Methods inherited from class org.modeshape.jcr.index.local.IndexChangeAdapters.EnumeratedPropertyChangeAdapter

      `addValue, completeChanges, completeWorkspaceChanges, removeValues, toString`

    - ### Methods inherited from class org.modeshape.jcr.index.local.IndexChangeAdapters.AbstractPropertyChangeAdapter

      `addNode, convert, modifyProperties, reindexNode, removeNode`

    - ### Methods inherited from class org.modeshape.jcr.spi.index.provider.IndexChangeAdapter

      `includesWorkspace, index`

    - ### Methods inherited from class org.modeshape.jcr.cache.change.ChangeSetAdapter

      `addWorkspace, beginChanges, beginWorkspaceChanges, binaryValueUnused, changeNode, moveNode, notify, removeWorkspace, renameNode, reorderNode, repositoryMetadataChanged, sequenced, sequenceFailure`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### IndexChangeAdapters.SingleValuedEnumeratedPropertyChangeAdapter

          public IndexChangeAdapters.SingleValuedEnumeratedPropertyChangeAdapter(ExecutionContext context,
                                                                         ChangeSetAdapter.NodeTypePredicate matcher,
                                                                         String workspaceName,
                                                                         Name propertyName,
                                                                         org.modeshape.jcr.index.local.LocalEnumeratedIndex index)

  - ### Method Detail

    - #### addValues

          protected void addValues(NodeKey key,
                       Property property)

      Overrides:
        `addValues` in class `IndexChangeAdapters.EnumeratedPropertyChangeAdapter`

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.